Bug 55259 - Internal compiler error in make_label_edge, at flow.c:1281
Summary: Internal compiler error in make_label_edge, at flow.c:1281
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL: http://www.math.leidenuniv.nl/~buyten...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-28 16:55 UTC by Need Real Name
Modified: 2007-04-18 16:37 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2001-10-28 16:55:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:055 contract SHIPPED_LIVE Updated version of GCC 2.96-RH now available 2002-04-02 05:00:00 UTC

Description Need Real Name 2001-10-28 16:55:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.9-xfs_MI8 i686; en-US; rv:0.9.1)
Gecko/20010611

Description of problem:
While trying to compile emulation.c from current plex86 CVS, gcc
barfs and exits with:

emulation.c: In function `emulate_exception':
emulation.c:1736: Internal compiler error in make_label_edge, at flow.c:1281
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
wget http://www.math.leidenuniv.nl/~buytenh/emu.pre.c
gcc -Wall -c -o barf emu.pre.c
	

Actual Results:  gcc aborted

Expected Results:  It should have compiled the file.

Additional info:

Red Hat 7.1 gcc shows the same problem.  Haven't tested other
gcc's.

Comment 1 Jakub Jelinek 2001-11-28 12:52:09 UTC
Should be fixed in gcc-2.96-100 and above.

Comment 2 Bill Nottingham 2002-07-26 21:47:29 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-055.html



Note You need to log in before you can comment on or make changes to this bug.